Bug 4473 - Используется cvs -l.
: Используется cvs -l.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/tkcvs)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-23 14:30 by
Modified: 2007-10-18 22:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-23 14:30:56
При заходе в каталог, находящийся под cvs, возникает окно с сообщением об
ошибке:
cvs: invalid option -- l
(полностью сообщение см. `cvs -l`).
В результате tkcvs не показывает никакой информации о файлах (status, revision,
etc) и становится бесполезной для работы с репозиторием.

cvs-1.11.15-alt2
tkcvs-7.1.2-alt3

Steps to Reproduce:
1. Запустить tkcvs и перейти в каталог, находящийся под cvs.
2.
3.
------- Comment #1 From 2005-10-11 11:42:21 -------
Версия 7.2.2 работала нормально. В ней исправлен баг, описанный выше.
Версия 7.2.3 игнорирует файл /etc/cvs/tkcvs_def.tcl, ей нужен файл
/usr/share/tkcvs/tkcvs_def.tcl. Поэтому сборка tkcvs-7.2.3-alt1 полностью
неработоспособна. Чтобы заработало, достаточно создать ссылку
# ln -s /etc/cvs/tkcvs_def.tcl /usr/share/tkcvs
------- Comment #2 From 2006-09-28 02:02:53 -------
В сизифе сейчас tkcvs-7.2.3-alt1 -- стоит ли делать NMU-откат на 7.2.2 или
лучше
7.2.3-alt2 с единственным добавлением этой ссылки?
------- Comment #3 From 2006-09-28 09:53:46 -------
У меня нормально работает со ссылкой. Думаю, лучше сделать так (зачем лишний
Serial?).
------- Comment #4 From 2006-12-01 09:59:39 -------
fixed now (new version)
------- Comment #5 From 2007-10-18 22:29:37 -------
Так что же, вообще теперь tkcvs в Сизифе нет?